%{?nodejs_find_provides_and_requires}

%global packagename csv-generate
%global enable_tests 1

Name:		nodejs-csv-generate
Version:	1.0.0
Release:	2%{?dist}
Summary:	CSV and object generation implementing the Node.js `stream.Readable` API

License:	BSD
URL:		http://www.github.com/wdavidw/node-csv-generate
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1,2 are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

Requires:	nodejs

%description
CSV and object generation implementing the Node.js `stream.Readable` API


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

# remove compiled scripts
rm lib/*.js

%build
%{_bindir}/coffee -c -b -o lib/ src/*.coffee.md

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{_bindir}/mocha --compilers coffee:coffee-script/register -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md samples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Nov  7 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
